## osmose-emulator 0.9.96

=== Makefile ===
#############################################################################
# Makefile for building: Osmose-0-9-96-QT
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jun 6 09:34:32 2011
# Project:  Osmose-0-9-96-QT.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile Osmose-0-9-96-QT.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -I. -Icpu -Iosmose -I/usr/X11R6/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lz -lasound -lQtOpenGL -lQtGui -lQtCore -lGLU -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = EmulationThread.cpp \
		Joystick.cpp \
		KeyMapper.cpp \
		main.cpp \
		OsmoseConfigurationFile.cpp \
		OsmoseEmulationThread.cpp \
		OsmoseGUI.cpp \
		Pthreadcpp.cpp \
		QGLImage.cpp \
		QLogWindow.cpp \
		QOsmoseConfiguration.cpp \
		TGAWriter.cpp \
		WhiteNoiseEmulationThread.cpp \
		cpu/Opc_cbxx.cpp \
		cpu/Opc_dd.cpp \
		cpu/Opc_ddcb.cpp \
		cpu/Opc_ed.cpp \
		cpu/Opc_fd.cpp \
		cpu/Opc_fdcb.cpp \
		cpu/Opc_std.cpp \
		cpu/Z80.cpp \
		osmose/DebugEventThrower.cpp \
		osmose/FIFOSoundBuffer.cpp \
		osmose/IOMapper.cpp \
		osmose/IOMapper_GG.cpp \
		osmose/MemoryMapper.cpp \
		osmose/Options.cpp \
		osmose/OsmoseCore.cpp \
		osmose/RomSpecificOption.cpp \
		osmose/SmsEnvironment.cpp \
		osmose/SN76489.cpp \
		osmose/SoundThread.cpp \
		osmose/VDP.cpp \
		osmose/VDP_GG.cpp \
		osmose/WaveWriter.cpp \
		moc_EmulationThread.cpp \
		moc_OsmoseGUI.cpp \
		moc_QGLImage.cpp \
		moc_QLogWindow.cpp \
		moc_QOsmoseConfiguration.cpp
OBJECTS       = EmulationThread.o \
		Joystick.o \
		KeyMapper.o \
		main.o \
		OsmoseConfigurationFile.o \
		OsmoseEmulationThread.o \
		OsmoseGUI.o \
		Pthreadcpp.o \
		QGLImage.o \
		QLogWindow.o \
		QOsmoseConfiguration.o \
		TGAWriter.o \
		WhiteNoiseEmulationThread.o \
		Opc_cbxx.o \
		Opc_dd.o \
		Opc_ddcb.o \
		Opc_ed.o \
		Opc_fd.o \
		Opc_fdcb.o \
		Opc_std.o \
		Z80.o \
		DebugEventThrower.o \
		FIFOSoundBuffer.o \
		IOMapper.o \
		IOMapper_GG.o \
		MemoryMapper.o \
		Options.o \
		OsmoseCore.o \
		RomSpecificOption.o \
		SmsEnvironment.o \
		SN76489.o \
		SoundThread.o \
		VDP.o \
		VDP_GG.o \
		WaveWriter.o \
		moc_EmulationThread.o \
		moc_OsmoseGUI.o \
		moc_QGLImage.o \
		moc_QLogWindow.o \
		moc_QOsmoseConfiguration.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Osmose-0-9-96-QT.pro
QMAKE_TARGET  = Osmose-0-9-96-QT
DESTDIR       = 
TARGET        = Osmose-0-9-96-QT

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_Configuration.h ui_LogWindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Osmose-0-9-96-QT.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile Osmose-0-9-96-QT.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Osmose-0-9-96-QT.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Osmose-0-9-96-QT1.0.0 || $(MKDIR) .tmp/Osmose-0-9-96-QT1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Osmose-0-9-96-QT1.0.0/ && $(COPY_FILE) --parents EmulationThread.h Joystick.h KeyMapper.h OsmoseConfigurationFile.h OsmoseEmulationThread.h OsmoseGUI.h Pthreadcpp.h QGLImage.h QLogWindow.h QOsmoseConfiguration.h TGAWriter.h WhiteNoiseEmulationThread.h cpu/BasicTypes.h cpu/Z80.h osmose/AnsiColorTerminal.h osmose/Bits.h osmose/DebugEventListener.h osmose/DebugEventThrower.h osmose/Definitions.h osmose/FIFOSoundBuffer.h osmose/IOMapper.h osmose/IOMapper_GG.h osmose/MemoryMapper.h osmose/Options.h osmose/OsmoseCore.h osmose/RomSpecificOption.h osmose/SaveState.h osmose/SmsDebugger.h osmose/SmsEnvironment.h osmose/SN76489.h osmose/SoundThread.h osmose/VDP.h osmose/VDP_GG.h osmose/Version.h osmose/WaveWriter.h .tmp/Osmose-0-9-96-QT1.0.0/ && $(COPY_FILE) --parents EmulationThread.cpp Joystick.cpp KeyMapper.cpp main.cpp OsmoseConfigurationFile.cpp OsmoseEmulationThread.cpp OsmoseGUI.cpp Pthreadcpp.cpp QGLImage.cpp QLogWindow.cpp QOsmoseConfiguration.cpp TGAWriter.cpp WhiteNoiseEmulationThread.cpp cpu/Opc_cbxx.cpp cpu/Opc_dd.cpp cpu/Opc_ddcb.cpp cpu/Opc_ed.cpp cpu/Opc_fd.cpp cpu/Opc_fdcb.cpp cpu/Opc_std.cpp cpu/Z80.cpp osmose/DebugEventThrower.cpp osmose/FIFOSoundBuffer.cpp osmose/IOMapper.cpp osmose/IOMapper_GG.cpp osmose/MemoryMapper.cpp osmose/Options.cpp osmose/OsmoseCore.cpp osmose/RomSpecificOption.cpp osmose/SmsEnvironment.cpp osmose/SN76489.cpp osmose/SoundThread.cpp osmose/VDP.cpp osmose/VDP_GG.cpp osmose/WaveWriter.cpp .tmp/Osmose-0-9-96-QT1.0.0/ && $(COPY_FILE) --parents Configuration.ui LogWindow.ui .tmp/Osmose-0-9-96-QT1.0.0/ && (cd `dirname .tmp/Osmose-0-9-96-QT1.0.0` && $(TAR) Osmose-0-9-96-QT1.0.0.tar Osmose-0-9-96-QT1.0.0 && $(COMPRESS) Osmose-0-9-96-QT1.0.0.tar) && $(MOVE) `dirname .tmp/Osmose-0-9-96-QT1.0.0`/Osmose-0-9-96-QT1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Osmose-0-9-96-QT1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_EmulationThread.cpp moc_OsmoseGUI.cpp moc_QGLImage.cpp moc_QLogWindow.cpp moc_QOsmoseConfiguration.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_EmulationThread.cpp moc_OsmoseGUI.cpp moc_QGLImage.cpp moc_QLogWindow.cpp moc_QOsmoseConfiguration.cpp
moc_EmulationThread.cpp: QGLImage.h \
		OsmoseConfigurationFile.h \
		EmulationThread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) EmulationThread.h -o moc_EmulationThread.cpp

moc_OsmoseGUI.cpp: QGLImage.h \
		OsmoseEmulationThread.h \
		EmulationThread.h \
		OsmoseConfigurationFile.h \
		cpu/Z80.h \
		cpu/BasicTypes.h \
		osmose/DebugEventThrower.h \
		osmose/DebugEventListener.h \
		osmose/Definitions.h \
		osmose/SaveState.h \
		osmose/OsmoseCore.h \
		osmose/SmsEnvironment.h \
		osmose/MemoryMapper.h \
		osmose/Options.h \
		osmose/Bits.h \
		QLogWindow.h \
		ui_LogWindow.h \
		osmose/IOMapper.h \
		osmose/VDP.h \
		osmose/AnsiColorTerminal.h \
		osmose/SN76489.h \
		osmose/FIFOSoundBuffer.h \
		osmose/IOMapper_GG.h \
		osmose/VDP_GG.h \
		osmose/WaveWriter.h \
		osmose/Version.h \
		TGAWriter.h \
		Pthreadcpp.h \
		osmose/SoundThread.h \
		WhiteNoiseEmulationThread.h \
		QOsmoseConfiguration.h \
		ui_Configuration.h \
		KeyMapper.h \
		Joystick.h \
		OsmoseGUI.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) OsmoseGUI.h -o moc_OsmoseGUI.cpp

moc_QGLImage.cpp: QGLImage.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) QGLImage.h -o moc_QGLImage.cpp

moc_QLogWindow.cpp: ui_LogWindow.h \
		QLogWindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) QLogWindow.h -o moc_QLogWindow.cpp

moc_QOsmoseConfiguration.cpp: ui_Configuration.h \
		KeyMapper.h \
		Joystick.h \
		Pthreadcpp.h \
		OsmoseConfigurationFile.h \
		QOsmoseConfiguration.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) QOsmoseConfiguration.h -o moc_QOsmoseConfiguration.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_Configuration.h ui_LogWindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_Configuration.h ui_LogWindow.h
ui_Configuration.h: Configuration.ui
	/usr/bin/uic-qt4 Configuration.ui -o ui_Configuration.h

ui_LogWindow.h: LogWindow.ui
	/usr/bin/uic-qt4 LogWindow.ui -o ui_LogWindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

EmulationThread.o: EmulationThread.cpp EmulationThread.h \
		QGLImage.h \

## osmose-emulator 0.9.96-dfsg

=== debian/changelog ===
osmose-emulator (0.9.96-dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #814549)

 -- Carlos Donizete Froes <coringao@riseup.net>  Wed, 16 Mar 2016 18:00:24 -0300

=== debian/control ===
Source: osmose-emulator
Section: games
Priority: optional
Maintainer: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper (>=9),
		libasound2-dev,
		libqt4-dev,
		libqt4-dev-bin,
		libqt4-opengl-dev,
		qt4-qmake,
		zlib1g-dev
Standards-Version: 3.9.7
Homepage: http://bcz.asterope.fr/osmose.htm

Package: osmose-emulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sega Master System and Game Gear console emulator
 A multi-machine emulator for platforms of Sega consoles
 (Master System and Game Gear) and compatible for all games.
 .
 Simulates hardware extremely accurately which ensures that these
 classic games are represented exactly like they were on the real systems.
 .
 Osmose has a clean graphical user interface based on QT and a simplified setup
 process, and supports ROM archives in the SMS and GG formats.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d+$// \
http://bcz.asterope.fr/osmose.htm osmose/Osmose-(\d\S+)-QT\.(?:zip|tar\.(?:bz2|gz|xz))

## osmose-emulator 1.0

=== debian/changelog ===
osmose-emulator (1.0-4) unstable; urgency=medium

  * Reversed debhelper compat for level 9

 -- Carlos Donizete Froes <coringao@riseup.net>  Wed, 05 Apr 2017 08:17:36 -0300

osmose-emulator (1.0-3) unstable; urgency=medium

  * Switch to debhelper compat level 10
  * debian/osmose-emulator.desktop:
    - Added keywords and changed category to emulator
  * debian/watch:
    - Fixed to point to release hosted on Github

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 04 Apr 2017 18:20:16 -0300

osmose-emulator (1.0-2) unstable; urgency=medium

  * debian/control:
    - Change maintainer Debian Games Team.
    - Add myself as Uploader.
    - Move Vcs URLs to pkg-games.

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 25 Aug 2016 00:13:36 -0300

osmose-emulator (1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #834179)
  * New upstream GPG key
  * debian/control: bumped Standards-Version for 3.9.8
  * Update debian/copyright
  * Fix debian/watch file to point to latest release hosted on Github
  * Updated manpage
  * Created own icon in the main window
  * Replaced the version of QT to 5.x
  * Added in the main window menu - About
  * Revised common misspelled words in source code
  * Removed embedded copy of the source code 'unzip'

 -- Carlos Donizete Froes <coringao@riseup.net>  Fri, 12 Aug 2016 13:03:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: osmose-emulator
 Section: games
 Priority: optional
-Maintainer: Carlos Donizete Froes <coringao@riseup.net>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Carlos Donizete Froes <coringao@riseup.net>
 Build-Depends: debhelper (>=9),
-		libasound2-dev,
-		libqt4-dev,
-		libqt4-dev-bin,
-		libqt4-opengl-dev,
-		qt4-qmake,
-		zlib1g-dev
-Standards-Version: 3.9.7
+               libasound2-dev,
+               libqt5opengl5-dev,
+               qt5-qmake,
+               qtbase5-dev,
+               qtchooser,
+               zlib1g-dev
+Standards-Version: 3.9.8
 Homepage: http://bcz.asterope.fr/osmose.htm
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/osmose-emulator.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/osmose-emulator.git
 
 Package: osmose-emulator
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Sega Master System and Game Gear console emulator
  A multi-machine emulator for platforms of Sega consoles
  (Master System and Game Gear) and compatible for all games.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/coringao/osmose-emulator/tags .*/(\d\S*)\.tar\.gz

## osmose-emulator 1.2

=== debian/changelog ===
osmose-emulator (1.2-1) unstable; urgency=medium

  * New upstream release
  * Fixed autopkgtest to test the installability
  * Fixed d/upstream/metadata
  * debian/control:
    + Added Build-Depends: freeglut3-dev
    + Changed architecture to 'any'

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 22 Oct 2017 19:45:04 -0200

osmose-emulator (1.1-1) unstable; urgency=medium

  * New upstream release
  * Switch to compat level 10
  * debian/control:
    + Build-Depends: libgl1-mesa-dev, mesa-common-dev
    + Architecture: 'any-amd64' and 'any-i386'
    + Changed homepage link
    + Bump debhelper compat to 10
    + Declare compliance with Debian Policy: 4.1.1
  * Updated debian/copyright
  * Updated d/upstream/metadata
  * Updated debian/osmose-emulator.6
  * Changed debian/install
  * debian/rules: Added line DEB_LDFLAGS_MAINT_APPEND
  * debian/tests: Add autopkgtest smoke tests to verify the commands will run
  * Updated debian/watch 

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 19 Oct 2017 19:00:16 -0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,18 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=10),
+               freeglut3-dev,
                libasound2-dev,
+               libgl1-mesa-dev,
                libqt5opengl5-dev,
+               mesa-common-dev,
                qt5-qmake,
                qtbase5-dev,
                qtchooser,
                zlib1g-dev
-Standards-Version: 3.9.8
-Homepage: http://bcz.asterope.fr/osmose.htm
+Standards-Version: 4.1.1
+Homepage: https://github.com/coringao/osmose-emulator/wiki
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/osmose-emulator.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/osmose-emulator.git

=== debian/tests/control ===
# Control file for Debian 'autopkgtests'.
Test-Command: /bin/true
Depends: @

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
	https://github.com/coringao/osmose-emulator/releases .*/(\d\S+)\.tar\.gz

## osmose-emulator 1.4

=== debian/changelog ===
osmose-emulator (1.4-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:22 +0100

osmose-emulator (1.4-2) unstable; urgency=medium

  * Using new DH level format. Consequently:
    - debian/compat: removed.
    + debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/control:
    + Bumped Standards-Version to 4.4.0.

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 22 Jul 2019 02:44:34 -0300

osmose-emulator (1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #868499)
  * Switch to compat level 12
  * debian/control:
    + Bump debhelper compat to 12
    + Declare compliance with Debian Policy 4.3.0

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 06 Jan 2019 02:51:37 -0200

osmose-emulator (1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Declare compliance with Debian Policy: 4.2.1
  * Removed debian/osmose-emulator.6
  * debian/manpage:
    + Changed the file path 'osmose-emulator.6'
  * Removed autopkgtest considered an unjustified advantage
  * Removed the tarball 'xz' option from the d/watch file
  * Changed to the author's present year in d/copyright and d/upstream/metadata

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 15 Oct 2018 01:15:13 -0300

osmose-emulator (1.2-2) unstable; urgency=medium

  * Switch to compat level 11
  * debian/control:
    + Bump debhelper compat to 11
    + Declare compliance with Debian Policy: 4.1.4
    + Changed homepage URL to GitLab
    + Move Vcs URLs to salsa.d.g
  * debian/copyright:
    + Update source URL move to GitLab
    + Year updated on 'Files: debian/*'
  * Updated d/upstream/metadata URLs move to GitLab
  * Updated d/watch file upstream move to GitLab

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 12 Jun 2018 16:50:11 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper-compat (= 12),
                freeglut3-dev,
                libasound2-dev,
                libgl1-mesa-dev,
@@ -13,10 +13,10 @@
                qtbase5-dev,
                qtchooser,
                zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: https://github.com/coringao/osmose-emulator/wiki
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/osmose-emulator.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/osmose-emulator.git
+Standards-Version: 4.4.0
+Homepage: https://gitlab.com/coringao/osmose-emulator/wikis
+Vcs-Git: https://salsa.debian.org/games-team/osmose-emulator.git
+Vcs-Browser: https://salsa.debian.org/games-team/osmose-emulator
 
 Package: osmose-emulator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-fPIE -pie
export QT_SELECT = qt5

%:
	dh $@

## osmose-emulator 1.6

=== debian/changelog ===
osmose-emulator (1.6-1) unstable; urgency=medium

  * New upstream release:
    + Implements toggleMenu feature. (Thanks Leandro Ramos)
  * debian/control:
    + Switch to debhelper-compat = 13.
    + Declare compliance with Debian Policy 4.5.0.
    + Set Rules-Requires-Root to no.
  * debian/copyright:
    + Copyright information organized for contacts.
    + Copyright updated for current years (2020).
  * debian/install:
    - Changed the directory path of "osmose-emulator.desktop" file.
  * debian/osmose-emulator.desktop removed.
  * Update debian/upstream/metadata years (2020).
  * debian/rules:
    - Removed DEB_LDFLAGS_MAINT_APPEND. Fixed upstream.
  * Added autopkgtest.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 09 Aug 2020 18:02:28 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                freeglut3-dev,
                libasound2-dev,
                libgl1-mesa-dev,
@@ -13,7 +13,8 @@
                qtbase5-dev,
                qtchooser,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/coringao/osmose-emulator/wikis
 Vcs-Git: https://salsa.debian.org/games-team/osmose-emulator.git
 Vcs-Browser: https://salsa.debian.org/games-team/osmose-emulator

=== debian/tests/control ===
Test-Command: osmose-emulator &
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/osmose-emulator/tags \
  .*/osmose-emulator-(\d\S+)\.(?:tar\.(?:gz|bz2))
